ODIUPG-00005 Error When Using the Upgrade Assistant (UA) on 12.2.1.3.0

(Doc ID 2314039.1)

Last updated on OCTOBER 16, 2017

Applies to:

Oracle Data Integrator - Version 12.2.1.3.0 and later
Information in this document applies to any platform.

Symptoms

When attempting to launch the Upgrade Assistant (UA) on Oracle Data Integrator (ODI) 12.2.1.3.0 as part of ODI upgrade to 12.2.1.3.0, the following error is seen. This was observed while providing the SUPERVISOR username/password on UA screen at "Task 7 Specifying Supervisor Account Credentials":

ODIUPG-00005: Invalid credentials for ODI Supervisor. 

Caused by: oracle.security.jps.service.idstore.IdentityStoreException: JPS-02600: libOvd required system parameter of "common.components.home" is not supplied in the JVM command line
  at oracle.security.jps.internal.idstore.AbstractIdmIdentityStore.initIdentityDirectory(AbstractIdmIdentityStore.java:299)
  at oracle.security.jps.internal.idstore.AbstractIdmIdentityStore.getIdentityStore(AbstractIdmIdentityStore.java:207)
  at oracle.security.jps.internal.idstore.UserRoleEntityManager.authenticateUserIDS(UserRoleEntityManager.java:343)
  at oracle.security.jps.internal.jaas.module.idstore.IdStoreLoginModule.authenticateUser(IdStoreLoginModule.java:343)
  at oracle.security.jps.internal.jaas.module.idstore.IdStoreLoginModule.authenticate(IdStoreLoginModule.java:270)

The same error can also be seen in the UA log file (Example: ua2017-10-02-15-30-32PM.log)

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms